[Risolto] Problema player

Salve ragazzi, ritorno qui per descrivervi un problema che mi è capitato in questi giorni.
Io e la cofounder giochiamo insieme nel nostro server entrambi siamo oppati e siamo rispettivamente nel gruppo founder e nel gruppo cofounder. Un giorno vogliamo invitare un amico lui entra e dopo un pò che cammina crasha e l'errore che ho dava da console all'inizio è questo:
Dopo per tentare di risolvere tolgo il plugin protocol support e adesso dava un altro errore:
Il problema è che questo errore capitava a tutti gli amici che invito e che non sono oppati/non hanno permessi.
I miei plugin sono: NiroNoCheat, HiveJumpPads, PluginConstructorAPI, Antibots, ClearLag, PlugMan, ControlHacker, ConsoleSpamFix, MultiWorld, SkinsRestorer, OldCombatMechanics, FastAsyncWorldEdit, UUIDSpoofFix, WorldEditCrashFix, PermissionsEx, NoteBlockAPI, ViaVersion, AdvancedAntiProxy, Tablist, ServerRestorer, Vault, ViaBackwards, MyCommand, JukeBox, JPanel, WorldEdit, Essentials, ProtocolLib, WorldGuard, SkyWars, EssentialsChat, EssentialsSpawn, PluginHiderPlus, WatchCat, AutoKiller,Hawk, AuthMe, HolographicDisplays, BedwarsRel
Ho messo la versione corretta di protocolLib e dopo per risolvere ho provato ad opparlo e ha funzionato. Il punto è che io mi spavento ad opparlo poichè potrebbe distruggere tutto.
Ringrazio in anticipo chi mi aiuterà
SE TI SONO STATO D'AIUTO RICORDA DI LASCIARE UN [Immagine: 2wpnh9e.png]OPPURE UN [Immagine: rwpbud.png]

Sono bravo a usare redstone e comandi e sono bravo a settare plugin.
Togli ad uno ad uno tutti i Plugin che lavorano con i protocolli (SkinsRestorer, ViaVersion, PluginHiderPlus (?), Tablist, ecc), quando trovi il plugin valuta se rimuoverlo, se c'è un aggiornamento o se stai usando una versione sbagliata.


In particolare punterei sui plugin che riguardano o una versione differente dalla vostra (Es. i vostri amici entrano in 1.13.1, ma il server è in 1.12.2 e voi uguale), oppure qualcosa che può apparire solo a chi non è oppato (Es. Nascondere i plugin, un AntiBot, dei controlli dell'AntiCheat).


Oltre a questo hai una miriade di plugin inutili che puoi togliere a prescindere:
- Antibots (ridondante, hai AdvancedAntiProxy, scegline uno)
- ClearLag (è inutile, punto)
- ConsoleSpamFix (ignorare gli errori non è il miglior metodo per tenere un server)
- UUIDSpoofFix (Non mi pare di capire sia un BungeeCord, quindi non ti serve e in ogni caso basta chiudere le porte)
- WorldEditCrashFix (Risolto da FAWE e da WorldEdit 6.1.2 e successive)
- PluginHiderPlus (E' davvero difficile negare il permesso bukkit.command.plugin ?)


P.S. Sposto in Plugins visto che è un problema relativo ad essi.
Se ti sono stato d'aiuto, mi offriresti una birra?
[Immagine: dona-con-paypal.png]

Rip Maxcraft
11/09/2018, 15:19Maxetto ha scritto: Togli ad uno ad uno tutti i Plugin che lavorano con i protocolli (SkinsRestorer, ViaVersion, PluginHiderPlus (?), Tablist, ecc), quando trovi il plugin valuta se rimuoverlo, se c'è un aggiornamento o se stai usando una versione sbagliata.


In particolare punterei sui plugin che riguardano o una versione differente dalla vostra (Es. i vostri amici entrano in 1.13.1, ma il server è in 1.12.2 e voi uguale), oppure qualcosa che può apparire solo a chi non è oppato (Es. Nascondere i plugin, un AntiBot, dei controlli dell'AntiCheat).


Oltre a questo hai una miriade di plugin inutili che puoi togliere a prescindere:
- Antibots (ridondante, hai AdvancedAntiProxy, scegline uno)
- ClearLag (è inutile, punto)
- ConsoleSpamFix (ignorare gli errori non è il miglior metodo per tenere un server)
- UUIDSpoofFix (Non mi pare di capire sia un BungeeCord, quindi non ti serve e in ogni caso basta chiudere le porte)
- WorldEditCrashFix (Risolto da FAWE e da WorldEdit 6.1.2 e successive)
- PluginHiderPlus (E' davvero difficile negare il permesso bukkit.command.plugin ?)


P.S. Sposto in Plugins visto che è un problema relativo ad essi.

Perché ritieni ClearLag inutile?
Ricorda di lasciarmi un punto Rep [Immagine: IM8d6tb.png] ed un Like [Immagine: 7vpDvBC.png]!

[Immagine: a.php?i=2&h=Ti+serve+aiuto%3F&t=Puoi+contattarmi%21]
Pluginhiderplus lo lascio perchè voglio avere un messaggio personalizzato.
Consolespamfix pure.
Ora provo a togliere i plugin uno per uno che lavorano con protocollib

Ehm crashano lo stesso (Modificato 11/09/2018, 18:15 da herobrine99dan.)
SE TI SONO STATO D'AIUTO RICORDA DI LASCIARE UN [Immagine: 2wpnh9e.png]OPPURE UN [Immagine: rwpbud.png]

Sono bravo a usare redstone e comandi e sono bravo a settare plugin.
11/09/2018, 15:28EdwardTheKnight ha scritto: Perché ritieni ClearLag inutile?

Come ho detto 1000 altre volte, tutte le funzioni di ClearLag sono implementate e già attive di Default su Spigot, pertanto è 100% inutile.
Se ti sono stato d'aiuto, mi offriresti una birra?
[Immagine: dona-con-paypal.png]

Rip Maxcraft
2 utenti apprezzano questo post
Vabbe io lo uso per alcune cosette

ma apparte quello conoscete un problema per fixare
@Maxetto (Modificato 11/09/2018, 20:32 da herobrine99dan.)
SE TI SONO STATO D'AIUTO RICORDA DI LASCIARE UN [Immagine: 2wpnh9e.png]OPPURE UN [Immagine: rwpbud.png]

Sono bravo a usare redstone e comandi e sono bravo a settare plugin.
Continua a rimuovere i plugin, prova anche senza plugin, se ti torna più comodo prova ad usare a turno un gruppetto di plugin (compatibili fra loro altrimenti rompi tutto per altri motivi) finché non trovi il gruppo che ti da il problema e prova quindi a rimuoverne uno alla volta fra quelli.

Quest'azione si chiama Troubleshooting ed è pratica comune da fare ogni volta che hai un problema (invece di ignorarlo con ConsoleSpamFix)
Se ti sono stato d'aiuto, mi offriresti una birra?
[Immagine: dona-con-paypal.png]

Rip Maxcraft
Io siccome ho plugin che spesso dicono could not pass event blockbreakevent allora ho messo questo plugin.Comunque ho risolto, potete chiudere.
SE TI SONO STATO D'AIUTO RICORDA DI LASCIARE UN [Immagine: 2wpnh9e.png]OPPURE UN [Immagine: rwpbud.png]

Sono bravo a usare redstone e comandi e sono bravo a settare plugin.
Discussioni simili
Risposta di Matte2107
16/08/2018, 11:15
Risposta di ReNext
05/05/2018, 17:57
Risposta di KillerVillager
14/04/2018, 13:57
Risposta di Luchinorti
06/04/2018, 22:35
Risposta di alboldiga
05/03/2018, 23:37

Utente(i) che stanno guardando questa discussione: 1 Ospite(i)